Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Class Delegate

    java.lang.Object
      |
      +--org.omg.CORBA.portable.Delegate

Direct Known Subclasses:
  Delegate

public abstract class Delegate
extends java.lang.Object

Constructor Summary
`Delegate()`

Method Summary
`abstract Request` | `create_request(Object self, Context ctx, java.lang.String operation, NVList arg_list, NamedValue result)`
`abstract Request` | `create_request(Object self, Context ctx, java.lang.String operation, NVList arg_list, NamedValue result, ExceptionList exclist, ContextList ctxlist)`
`abstract Object` | `duplicate(Object self)`
`boolean` | `equals(Object self, java.lang.Object obj)`
`DomainManager[]` | `get_domain_managers(Object self)`
`Object` | `get_interface_def(Object self)`
`abstract InterfaceDef` | `get_interface(Object self)` Deprecated. Deprecated by CORBA 2.3
`Policy` | `get_policy(Object self, int policy_type)`
`abstract int` | `hash(Object self, int max)`
`int` | `hashCode(Object self)`
`InputStream` | `invoke(Object self, OutputStream os)`
`abstract boolean` | `is_a(Object self, java.lang.String repository_id)`
`abstract boolean` | `is_equivalent(Object self, Object rhs)`
`boolean` | `is_local(Object self)`
`abstract boolean` | `non_existent(Object self)`
`ORB` | `orb(Object self)`
`abstract void` | `release(Object self)`
`void` | `releaseReply(Object self, InputStream is)`
`abstract Request` | `request(Object self, java.lang.String operation)`
`OutputStream` | `request(Object self, java.lang.String operation, boolean responseExpected)`
`void` | `servant_postinvoke(Object self, ServantObject servant)`
`ServantObject` | `servant_preinvoke(Object self, java.lang.String operation, java.lang.Class expectedType)`
`Object` | `set_policy_override(Object self, Policy[] policies, SetOverrideType set_add)`
`java.lang.String` | `toString(Object self)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delegate

    public Delegate()

Method Detail

### get_interface

    public abstract InterfaceDef get_interface(Object self)

  Deprecated. Deprecated by CORBA 2.3

### get_interface_def

    public Object get_interface_def(Object self)

### duplicate

    public abstract Object duplicate(Object self)

### release

    public abstract void release(Object self)

### is_a

    public abstract boolean is_a(Object self,
                                 java.lang.String repository_id)

### non_existent

    public abstract boolean non_existent(Object self)

### is_equivalent

    public abstract boolean is_equivalent(Object self,
                                          Object rhs)

### hash

    public abstract int hash(Object self,
                             int max)

### create_request

    public abstract Request create_request(Object self,
                                           Context ctx,
                                           java.lang.String operation,
                                           NVList arg_list,
                                           NamedValue result)

### create_request

    public abstract Request create_request(Object self,
                                           Context ctx,
                                           java.lang.String operation,
                                           NVList arg_list,
                                           NamedValue result,
                                           ExceptionList exclist,
                                           ContextList ctxlist)

### request

    public abstract Request request(Object self,
                                    java.lang.String operation)

### request

    public OutputStream request(Object self,
                                java.lang.String operation,
                                boolean responseExpected)

### invoke

    public InputStream invoke(Object self,
                              OutputStream os)
                       throws ApplicationException,
                              RemarshalException

### releaseReply

    public void releaseReply(Object self,
                             InputStream is)

### get_policy

    public Policy get_policy(Object self,
                             int policy_type)

### get_domain_managers

    public DomainManager[] get_domain_managers(Object self)

### set_policy_override

    public Object set_policy_override(Object self,
                                      Policy[] policies,
                                      SetOverrideType set_add)

### orb

    public ORB orb(Object self)

### is_local

    public boolean is_local(Object self)

### servant_preinvoke

    public ServantObject servant_preinvoke(Object self,
                                           java.lang.String operation,
                                           java.lang.Class expectedType)

### servant_postinvoke

    public void servant_postinvoke(Object self,
                                   ServantObject servant)

### toString

    public java.lang.String toString(Object self)

### hashCode

    public int hashCode(Object self)

### equals

    public boolean equals(Object self,
                          java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD